summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2015-12-12 12:27:47 +0100
committerPacho Ramos <pacho@gentoo.org>2015-12-12 15:27:44 +0100
commit38623bac6b069dbac89671121f04dbb51150f1d2 (patch)
tree6aef489944ec70b713e8f5e3f73b4767cf61d93e /dev-cpp/glibmm/glibmm-2.46.2.ebuild
parentnet-misc/networkmanager-vpnc: Drop old (diff)
downloadgentoo-38623bac6b069dbac89671121f04dbb51150f1d2.tar.gz
gentoo-38623bac6b069dbac89671121f04dbb51150f1d2.tar.bz2
gentoo-38623bac6b069dbac89671121f04dbb51150f1d2.zip
dev-cpp/glibmm: Version bump, fix build failure with gcc-4.7 (bug #566426 by Émeric Maschino)
Package-Manager: portage-2.2.24
Diffstat (limited to 'dev-cpp/glibmm/glibmm-2.46.2.ebuild')
-rw-r--r--dev-cpp/glibmm/glibmm-2.46.2.ebuild81
1 files changed, 81 insertions, 0 deletions
diff --git a/dev-cpp/glibmm/glibmm-2.46.2.ebuild b/dev-cpp/glibmm/glibmm-2.46.2.ebuild
new file mode 100644
index 00000000000..7cd6563876f
--- /dev/null
+++ b/dev-cpp/glibmm/glibmm-2.46.2.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit eutils gnome2 multilib-minimal
+
+DESCRIPTION="C++ interface for glib2"
+HOMEPAGE="http://www.gtkmm.org"
+
+LICENSE="LGPL-2.1+ GPL-2+" # GPL-2+ applies only to the build system
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="doc debug examples test"
+
+RDEPEND="
+ >=dev-libs/libsigc++-2.6.0:2[${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.46.0:2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+# dev-cpp/mm-common needed for eautoreconf
+
+src_prepare() {
+ # Gio::Application: Destructor: Use noexcept in the implementation too
+ # (from 'master')
+ epatch "${FILESDIR}"/${PN}-2.46.2-use-noexcept{,2}.patch
+
+ if ! use test; then
+ # don't waste time building tests
+ sed 's/^\(SUBDIRS =.*\)tests\(.*\)$/\1\2/' \
+ -i Makefile.am Makefile.in || die "sed 1 failed"
+ fi
+
+ # don't build examples - we want to install example sources, not binaries
+ sed 's/^\(SUBDIRS =.*\)examples\(.*\)$/\1\2/' \
+ -i Makefile.am Makefile.in || die "sed 2 failed"
+
+ # Test fails with IPv6 but not v4, upstream bug #720073
+# sed -e 's:giomm_tls_client/test::' \
+# -i tests/Makefile.{am,in} || die
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" gnome2_src_configure \
+ $(use_enable debug debug-refcounting) \
+ $(multilib_native_use_enable doc documentation) \
+ --enable-deprecated-api
+}
+
+multilib_src_test() {
+ cd tests
+ default
+
+ for i in */test; do
+ ${i} || die "Running tests failed at ${i}"
+ done
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ if ! use doc && ! use examples; then
+ rm -fr "${ED}usr/share/doc/glibmm*"
+ fi
+
+ if use examples; then
+ find examples -type d -name '.deps' -exec rm -rf {} \; 2>/dev/null
+ dodoc -r examples
+ fi
+}